- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Vec4f File Reference

`#include <osg/Vec3f>`

Include dependency graph for Vec4f:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Vec4f
| General purpose float quad. More...
## Defines
#define | OSG_VEC4F 1
## Functions
Vec4f::value_type | osg::operator * (const Vec3f &lhs, const Vec4f &rhs)
| Compute the dot product of a (Vec3,1.0) and a Vec4f.
Vec4f::value_type | osg::operator * (const Vec4f &lhs, const Vec3f &rhs)
| Compute the dot product of a Vec4f and a (Vec3,1.0).

## Define Documentation

#define OSG_VEC4F 1